enum AuthApi {
  /// 获取 token
  getToken('/api/events/device/token'),

  /// 获取推流地址
  getStreamKey('/api/events/device/stream/key'),

  /// 根据赛事目录获取视频列表
  getRecordList('/api/files'),

  /// 获取参赛队伍列表
  getTeamList('/api/events/device/item/group'),

  /// 参赛队伍详情
  getTeamDetail('/api/events/device/schedule/pending'),

  /// 人工设置晋级/淘汰
  setTeamStatus('/api/events/device/schedule/team/score'),

  /// 获取登录设备信息
  getLoginDeviceInfo('/api/events/device/nas/info'),

  /// 获取选手的赛事信息
  playerRegistrationList('/api/events/device/player/registration/list');

  final String path;
  const AuthApi(this.path);
}
